Subject: RE: [lemonade] Call the Question - Compression: TLS or Applicatio n-layer

From: Eric Burger <[email-masked]>
Date: Mon, 4 Oct 2004 16:59:06 -0400

Excellent points.

For those that won't read to the bottom: Comments due 12 October.

> -----Original Message-----
> From: Ted Hardie [mailto:[email-masked]]
> Sent: Monday, October 04, 2004 2:15 PM
> To: Eric Burger; [email-masked]
> Subject: Re: [lemonade] Call the Quetion - Compression: TLS or
> Application-layer
> 
> 
> At 1:34 PM -0400 10/4/04, Eric Burger wrote:
> >Given the discussion so far on compression, I would like to call the
> >question of  how lemonade will  support compression.
> >
> >How is this for a proposal:
> >
> >Lemonade will not specify any proprietary, application level 
> compression.
> 
> I am not sure what proprietary means in the above.  Do you mean:
> "Lemonade will not specify any application-protocol specific 
> compression for IMAP"?

Your language is much better than mine.

> >Lemonade will require, in the profile, TLS support.
> >
> >Lemonade will suggest, in the profile, that if one requires 
> compression,
> >that one use TLS with a NULL cipher.
> 
> I assume this would allow someone to use a cipher stronger than null
> and compression?

Correct.

> >  We should document the points raised
> >on the list of why, namely:
> >* Same computational complexity for, e.g., gzipping data in 
> the application
> >versus TLS with NULL cipher in the transport layer.
> >* All IMAP servers are required to support TLS, so server 
> (and, for the most
> >part, clients) do not need to change
> 
> Or, possibly, clients who do need to change would have had to anyway?

Is there a way to word this?

> >* The entire IMAP stream, including login, commands, etc., 
> benefit from
> >compression, not just data
> >
> >Unless there are serious objections raised on the list, this 
> is the way we
> >will go.
> >
> ><chair-hat-on>
> >If you have objections, raise them now or forever hold your peace.
> ></chair-hat-on>
> >
> 
> 
> It's difficult for a working group participant to know when "now" has
> passed when reading a mailing list.  A set period for comments and/or
> a decision date are easier.  Could I ask you to name a period or an
> end date for comments?
> 			thanks,
> 				Ted Hardie

Good point.  In time for the Interim on 12 October 2004.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade